[versions]
agp = "8.13.0"
junit = "4.13.2"
junitVersion = "1.3.0"
espressoCore = "3.7.0"
appcompat = "1.7.1"
material = "1.11.0"
pahoMqttv3 = "1.2.5"
pahoMqttService = "1.1.1"
googleServices = "4.4.3"
firebaseMessaging = "25.0.1"
touchImageView = "3.2.0"
gson = "2.10.1"
activity = "1.9.0"
constraintlayout = "2.2.1"
lifecycleRuntime = "2.9.4"

[libraries]
junit = { group = "junit", name = "junit", version.ref = "junit" }
ext-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
pahoMqttv3 = { group = "org.eclipse.paho", name = "org.eclipse.paho.client.mqttv3", version.ref = "pahoMqttv3" }
pahoMqttService = { group = "org.eclipse.paho", name = "org.eclipse.paho.android.service", version.ref = "pahoMqttService" }
google-services = { group = "com.google.gms", name = "google-services", version.ref = "googleServices" }
firebase-messaging = { group = "com.google.firebase", name = "firebase-messaging", version.ref = "firebaseMessaging" }
touchImageView = { group = "com.github.MikeOrtiz", name = "TouchImageView", version.ref = "touchImageView" }
gson = { group = "com.google.code.gson", name = "gson", version.ref = "gson" }
activity = { group = "androidx.activity", name = "activity", version.ref = "activity" }
constraintlayout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraintlayout" }
lifecycle-process = { module = "androidx.lifecycle:lifecycle-process", version.ref = "lifecycleRuntime" }
lifecycle-runtime = { module = "androidx.lifecycle:lifecycle-runtime", version.ref = "lifecycleRuntime" }

[plugins]
androidApplication = { id = "com.android.application", version.ref = "agp" }
